## CsjRobotSDK for Android是什么

 CsjRobotSDK 是Android平台上基于机器人硬件的软件开发包，帮助开发者快速接入机器人各项功能，以实现控制迎宾机器人的功能。



## 有哪些功能

SDK提供了语音识别、语义理解、人脸识别、人脸注册、导航控制、动作控制、表情控制以及传感器等功能，更详细请参考。



## 版本说明

版本更新和说明详见 release_note.md



## 接入教程

1. 下载并且安装tools文件夹下面的[face-release.apk（点击下载）](http://gitlab.csjbot.com/open/RobotSDKForYingbin-Android-Sample-app/raw/master/release-app/face-release.apk) 和[robotsdk-release.apk（点击下载）](http://gitlab.csjbot.com/open/RobotSDKForYingbin-Android-Sample-app/raw/master/release-app/robotsdk-release.apk)应用，这两个应用是能力提供
2. 安装完成之后，启动一下，会有界面要求授权“可出现在其他应用上的应用”，给予权限
3. 可以直接安装 [SDK-Demo.apk(点击下载）]()，可以查看各项能力



## 开始接入

1. 参考 SDK接入说明 可在Android平台上接入SDK。
2. 各接口及参数、常量、枚举的定义，在 [穿山甲机器人AI手册_Android发行版.docx](http://gitlab.csjbot.com/open/RobotSDKForYingbin-Android-Sample/raw/master/docs/%E7%A9%BF%E5%B1%B1%E7%94%B2%E6%9C%BA%E5%99%A8%E4%BA%BAAI%E6%89%8B%E5%86%8C_Android%E5%8F%91%E8%A1%8C%E7%89%88.pdf) 下面可以查看。
3. [Android-Sample ](http://gitlab.csjbot.com/open/RobotSDKForYingbin-Android-Sample/tree/master/Android-Sample) 中有完整的接入示例，可供您参考。